Bug 606356 - condor-qmf missing dependency on python-qmf for condor_trigger_config
Summary: condor-qmf missing dependency on python-qmf for condor_trigger_config
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor   
(Show other bugs)
Version: Development
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.3
: ---
Assignee: Matthew Farrellee
QA Contact: Jan Sarenik
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-21 13:30 UTC by Jan Sarenik
Modified: 2010-10-20 11:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Sarenik 2010-06-21 13:30:27 UTC
The condor_trigger_config utility has been rewritten in Python
so the package condor-qmf should have dependency also on
python-qmf.

  condor-qmf-7.4.3-0.21.el5

Steps to Reproduce:
1. Install condor-qmf on a clean RHEL without using groups (comps).
2. Try to run condor_trigger_config
  
Actual results:
# condor_trigger_config 
Traceback (most recent call last):
  File "/usr/sbin/condor_trigger_config", line 22, in ?
    from qmf.console import Session
ImportError: No module named qmf.console


Expected results:
The command should find all the needed libraries to run and do its job.

Comment 1 Matthew Farrellee 2010-06-21 13:36:17 UTC
Dep added to condor-qmf (home of condor_tigger_config) post 7.4.3-0.21

Comment 2 Jan Sarenik 2010-06-28 12:24:53 UTC
Verified on condor-qmf both i386 and x86_64
   7.4.4-0.2.el4 (RHEL4)
   7.4.4-0.2.el5 (RHEL5)


Note You need to log in before you can comment on or make changes to this bug.